/*

	gma.js : Google Map API用の関数

*/

var myMap = null;

function drawGoogleMap(){
	// 緯度、経度、吹き出しの文字を指定
	var lat, lng, haiku, mapId;
	if(haikuIndex != null){		// 俳句マップページでのマップ表示（詠んだ位置を表示）
		mapid = "haikuMap";
		var row = haikuData[haikuIndex].split(SEP);
		lat = row[4];
		lng = row[5];
		var haiku = "<p style='padding:0.2em;text-align:center'>" + row[1] + "<br>" + row[2] + "<br>" + row[3] + "</p>";
		haikuIndex = null;
	}
	else{					// 情報ページでのマップ表示（松尾芭蕉の句を表示するだけです）
		mapid = "infoMap";
		lat = 38.998281;
		lng = 141.113579;
		haiku = "<p style='padding:0.5em;text-align:center'>夏草や　兵どもが　夢の跡</p><p style='text-align:right'>芭蕉</p>";
	}
	// 地図のサイズを設定
	$('#' + mapid).css('width', screenWidth);	// 地図の幅
	$('#' + mapid).css('height', screenHeight/3*2-20);	// 地図の高さ
	
	// マップの初期化
	var mapId = document.getElementById(mapid);

	myMap = new google.maps.Map(mapId,{
		zoom: 12,										// ズームレベル
		center: new google.maps.LatLng(lat, lng),			// 中心点緯度経度
		scaleControl: true,								// 距離目盛の表示
		mapTypeId: google.maps.MapTypeId.ROADMAP		// 地図の種類
	});
	// マーカーの設定
	var myMarker = new google.maps.Marker({
		position: new google.maps.LatLng(lat, lng),	// マーカーの緯度経度
		map: myMap
	});
	// 吹き出しの設定
	var myInfoWindow = new google.maps.InfoWindow({
		content: haiku
	});
	// 吹き出しを表示
	myInfoWindow.open(myMap, myMarker);
	// 吹き出しが閉じられた場合、マーカークリックすると再度開く設定
	google.maps.event.addListener(myInfoWindow, "closeclick", function(){
		google.maps.event.addListenerOnce(myMarker, "click", function(event){
			myInfoWindow.open(myMap, myMarker);
		});
	});
}
