/*

	gps.js: GPS情報を取得し緯度・経度を得る

*/

/*
 * グローバル変数
 */
// GPS用
var WP;				// 位置情報取得識別ID
var lat = null;		// 緯度
var lng = null;		// 経度

/*
 * 位置情報の取得に成功した場合（geolocation用関数）
 */
function SccCB(position){
	// 緯度の取得
	lat = position.coords.latitude;
	// 経度の取得
	lng = position.coords.longitude;
	// 位置情報取得を終了
	stopWP();
	// 緯度・経度表示
	alert("位置情報を更新しました");
	showGPS();
}

/*
 * 位置情報の取得に失敗した場合（geolocation用関数）
 */
function ErrCB(error){
	alert("位置情報を取得できませんでした");
	// GPS情報が取得できない場合、緯度と経度を固定（福島第一原発の場所）
	lat = 37.421063;
	lng = 141.032765;
	
	$("#gps_info").html("GPS情報を取得できません");
}

/*
 * 位置情報を更新（geolocation用関数）
 */
function updateWP(error){
	stopWP();
	// 端末の位置情報を取得する（watchPositionにて再作成予定）
	WP = navigator.geolocation.getCurrentPosition(SccCB, ErrCB, {enableHighAccuracy: true});
}

/*
 * 位置情報の監視を停止（geolocation用関数）
 */
function stopWP(error){
	navigator.geolocation.clearWatch(WP);
}

/*
 * GPS情報を整形して表示
 */
function showGPS(){
	var gpsInfo = "緯度: " + lat + " 経度: " + lng;
	$("#gps_info").html(gpsInfo);
}
